Bug Hunting Session
Bug 95723 - grid control backwards formats buttons misplaced
Summary: grid control backwards formats buttons misplaced
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.0.1 rc
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-10 10:16 UTC by Caolán McNamara
Modified: 2016-10-25 19:20 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshots (57.01 KB, image/png)
2015-11-10 10:16 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Caolán McNamara 2015-11-10 10:16:27 UTC
Created attachment 120442 [details]
screenshots

Load attachment https://bugs.documentfoundation.org/attachment.cgi?id=118555
and see as per attached png the regression in rendering of those buttons
Comment 1 Caolán McNamara 2015-11-10 10:17:24 UTC
bisect says failure in range

git log ee616b050c82b138ee06117890b0381a0b5d750c..9c869aecc83dc3899a0941058acfcac791fca519

commit 9c869aecc83dc3899a0941058acfcac791fca519
Author: Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>
Date:   Wed May 20 18:25:49 2015 +0900

    fixes for changes in "edit"
    
    Change-Id: Ied0f44e38ac52f13c9c229366342849aa29ec754

commit 00920bf83688f185bf05070599e7083af01ac665
Author: Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>
Date:   Wed May 20 18:14:08 2015 +0900

    scrollbar - setup painting settings in ApplySettings
    
    Change-Id: I5eeaa1ee9c63f1a1d624022857a80cbebc079627

commit 7e34c092d3d0f085eee3097b1d4ad038da39f9de
Author: Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>
Date:   Wed May 20 18:03:33 2015 +0900

    edit - setup painting settings in ApplySettings
    
    Change-Id: I583caa0bbec9e4998bcc78e5edc4e29ab9d3b4b2
Comment 2 Caolán McNamara 2015-11-10 20:34:20 UTC
actually I think these have always been a little wrong seeing as there are actually 5 buttons. So whether its 3 visible or 1 is sort of "so what".
Comment 3 Commit Notification 2015-11-11 10:55:49 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=44daaebf835bb60fb7e442e928cd30191f15af52

Resolves: tdf#95723 arrange GridControl buttons to be always visible

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Buovjaga 2015-11-12 09:17:05 UTC
Now I see five buttons.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: b216cc1b8096eb60c27f67e8c27b7cd756c75e38
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-11-12_00:06:20
Locale: fi-FI (fi_FI)